Monday, 29 December 2014

Could not load file or assembly 'Newtonsoft.json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed'

Could not load file or assembly 'Newtonsoft.json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed'

This kind of Errors will come if Pointing to the Wrong version of dll's.


In Package manager Console Execute: Update-Package -reinstall Newtonsoft.Json.

If you facing an Error after executing the Command, Change the Version of Json in web.config or app.config.




  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>


I Think you you are pointing to Wrong version, change it 4.5.0.0 to 6.0.0.0


No comments:

Post a Comment